# Module sup_comm_layer

- Description
- Function Index
- Function Details

Supervisor for the comm layer processes.

Copyright © 2008-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `supervisor`.

Authors: Thorsten Schuett (`schuett@zib.de`), Florian Schintke (`schintke@zib.de`).

## Description

Supervisor for the comm layer processes

## Function Index

childs/1 |
init/1 |
start_link/0 |
supspec/1 |

## Function Details

### start_link/0

    start_link() ->
                  {ok, Pid :: pid()} |
                  ignore |
                  {error,
                   Error ::
                       {already_started, Pid :: pid()} |
                       shutdown |
                       term()}

### init/1

    init(X :: []) ->
            {ok,
             {{one_for_all,
               MaxRetries :: pos_integer(),
               PeriodInSeconds :: pos_integer()},
              [ProcessDescr :: supervisor:child_spec()]}}

### supspec/1

    supspec(X1 :: any()) ->
               {ok,
                {{one_for_all,
                  MaxRetries :: pos_integer(),
                  PeriodInSeconds :: pos_integer()},
                 []}}

### childs/1

    childs(X1 :: []) -> [ProcessDescr :: supervisor:child_spec()]

Generated by EDoc, Feb 29 2016, 16:12:22.